Skip to main content

Read Spending Plan Iteration Item

Use this endpoint to read the attributes of a specific spending plan iteration_item according to its unique GUID.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_guid}

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans/SPL-dbfe201d-c341-4bff-93c0-62a918d0b600/iterations/current/iteration_items/SII-0479b359-b682-4d49-8c6a-61c7c1ec642f' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_16
{
_16
"iteration_item": {
_16
"created_at": "2023-05-03T22:32:19Z",
_16
"updated_at": "2023-05-03T22:32:19Z",
_16
"actual_amount": null,
_16
"category_guid": null,
_16
"guid": "SII-0479b359-b682-4d49-8c6a-61c7c1ec642f",
_16
"item_type": null,
_16
"planned_amount": 100.0,
_16
"scheduled_payment_guid": null,
_16
"spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
_16
"top_level_category_guid": null,
_16
"transaction_guids": null,
_16
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_16
}
_16
}